<link href="vendor/datepicker/gijgo.min.css" rel="stylesheet" type="text/css" />
<link href="https://unpkg.com/gijgo@1.9.13/css/gijgo.min.css" rel="stylesheet" type="text/css" />

<div class="row">
  <div class="container-fluid">
    <div class="text-center">
      <h1 class="h4 text-gray-900 mb-4">Buat ajuan baru</h1>

    </div>
    <form class="user" autocomplete="off">
      <div class="form-group row">
        <div class="col-sm-6 mb-3 mb-sm-0">
          <select id="gedung" class="form-control"></select>
        </div>
        <div class="col-sm-6">
          <input disabled type="text" class="form-control form-control-user" id="biaya" placeholder="biaya">
        </div>
      </div>
      <div class="form-group row">
        <div class="col-sm-6 mb-3 mb-sm-0">
          <input type="text" class="form-control form-control-user typeahead" id="date_in" placeholder="Tanggal Masuk">
          <input type="hidden" value="" id="tempid">
        </div>
        <div class="col-sm-6">
          <input type="text" class="form-control form-control-user" id="date_out" placeholder="Tanggal Keluar">
        </div>
      </div>
      <div class="form-group">
        <input type="text" class="form-control form-control-user" id="deskripsi" placeholder="Nama kegiatan">
      </div>
      <div class="form-group row">
        <div class="col-sm-3 mb-2 mb-sm-0">
          <a href="#!" class="btn btn-success btn-user btn-block" id="simpan">Ajukan</a>
        </div><div class="col-sm-7"></div>
        <div class="col-sm-2"></div>
      </div>
</div>
<script src="vendor/datepicker/gijgo.min.js" type="text/javascript"></script>
<script src="vendor/typeahead/bootstrap3-typeahead.js" /></script>
<script type="text/javascript">
$(document).ready(function(){
  $.get($("#apiurl").val()+"/perizinan/getGedung",{},function(data){
    $.each( data, function( key, val ) {
      $("#gedung").append(new Option(val.deskripsi, val.ruang_id));
    });
    $("#biaya").val(data[0].biaya)
  });
  $("#date_in").datepicker({
    uiLibrary: "bootstrap4",
    format: "yyyy-mm-dd"
  });
  $("#date_out").datepicker({
    uiLibrary: "bootstrap4",
    format: "yyyy-mm-dd"
  });
});
$("#gedung").change(function(){
  $.get($("#apiurl").val()+"/perizinan/getGedung?id="+$("#gedung").val(),{},function(data){
    $("#biaya").val(data[0].biaya)
  })
})
$("#date_out").change(function(){
  $.get($("#apiurl").val()+"/perizinan/getGedung?id="+$("#gedung").val(),{},function(data){
    var b = data[0].biaya
    var c = biaya($("#date_in").val(),$("#date_out").val(),b);
    $("#biaya").val(c)
  })
})
function biaya(x,y,z)
{
  var start = new Date(x),
    end   = new Date(y),
    diff  = new Date(end - start),
    days  = diff/1000/60/60/24;
  return days*z
}
$("#simpan").click(function(){
  $.post($("#apiurl").val()+"/perizinan/setApplication",{
      ruang_id:$("#gedung").val(),
      date_in:$("#date_in").val(),
      date_out:$("#date_out").val(),
      deskripsi:$("#deskripsi").val()
    },function(log){
      console.log(log);
  });
});

function refreshTable()
{
  $("#dataTable tbody").html("");
  $("#dataTable tbody").empty();
  $.ajax({dataType:"json", url: $("#apiurl").val()+"/inventory/getTempKebutuhan?kid="+$('#hashcode').text()}).done(function(data) {
    $.each( data, function( key, val ) {
      var markup = '<tr><td>-</td><td>'+val.kebutuhan_id+'</td><td>'+val.barang+' ('+val.barang+')</td><td>'+val.jumlah+'</td><td>'+val.keterangan+'</td><td><button onclick=hapus("'+val.id+'") class="btn btn-danger"><i class="fas fa-fw fa-trash"></i></button></td></tr>';
      $("#dataTable tbody").append(markup);
    })
  });
}
</script>
